CBLAS/include/cblas_f77.h(3)

NAME
CBLAS/include/cblas_f77.h

SYNOPSIS

#include <stdarg.h>
#include <stdint.h>

  Macros
#define BLAS_FORTRAN_STRLEN_END
#define FORTRAN_STRLEN size_t
#define F77_INT int32_t
#define FCHAR char *
#define FINT const F77_INT *
#define FINT2 F77_INT *
#define API_SUFFIX(a)
#define F77_GLOBAL_SUFFIX(a, b)
#define F77_GLOBAL_SUFFIX_(a, b)
#define F77_xerbla_base F77_GLOBAL_SUFFIX(xerbla,XERBLA)
#define F77_srotg_base F77_GLOBAL_SUFFIX(srotg,SROTG)
#define F77_srotmg_base F77_GLOBAL_SUFFIX(srotmg,SROTMG)
#define F77_srot_base F77_GLOBAL_SUFFIX(srot,SROT)
#define F77_srotm_base F77_GLOBAL_SUFFIX(srotm,SROTM)
#define F77_drotg_base F77_GLOBAL_SUFFIX(drotg,DROTG)
#define F77_drotmg_base F77_GLOBAL_SUFFIX(drotmg,DROTMG)
#define F77_drot_base F77_GLOBAL_SUFFIX(drot,DROT)
#define F77_drotm_base F77_GLOBAL_SUFFIX(drotm,DROTM)
#define F77_sswap_base F77_GLOBAL_SUFFIX(sswap,SSWAP)
#define F77_scopy_base F77_GLOBAL_SUFFIX(scopy,SCOPY)
#define F77_saxpy_base F77_GLOBAL_SUFFIX(saxpy,SAXPY)
#define F77_isamax_sub_base F77_GLOBAL_SUFFIX(isamaxsub,ISAMAXSUB)
#define F77_dswap_base F77_GLOBAL_SUFFIX(dswap,DSWAP)
#define F77_dcopy_base F77_GLOBAL_SUFFIX(dcopy,DCOPY)
#define F77_daxpy_base F77_GLOBAL_SUFFIX(daxpy,DAXPY)
#define F77_idamax_sub_base F77_GLOBAL_SUFFIX(idamaxsub,IDAMAXSUB)
#define F77_cswap_base F77_GLOBAL_SUFFIX(cswap,CSWAP)
#define F77_ccopy_base F77_GLOBAL_SUFFIX(ccopy,CCOPY)
#define F77_caxpy_base F77_GLOBAL_SUFFIX(caxpy,CAXPY)
#define F77_icamax_sub_base F77_GLOBAL_SUFFIX(icamaxsub,ICAMAXSUB)
#define F77_zswap_base F77_GLOBAL_SUFFIX(zswap,ZSWAP)
#define F77_zcopy_base F77_GLOBAL_SUFFIX(zcopy,ZCOPY)
#define F77_zaxpy_base F77_GLOBAL_SUFFIX(zaxpy,ZAXPY)
#define F77_izamax_sub_base F77_GLOBAL_SUFFIX(izamaxsub,IZAMAXSUB)
#define F77_sdot_sub_base F77_GLOBAL_SUFFIX(sdotsub,SDOTSUB)
#define F77_ddot_sub_base F77_GLOBAL_SUFFIX(ddotsub,DDOTSUB)
#define F77_dsdot_sub_base F77_GLOBAL_SUFFIX(dsdotsub,DSDOTSUB)
#define F77_sscal_base F77_GLOBAL_SUFFIX(sscal,SSCAL)
#define F77_dscal_base F77_GLOBAL_SUFFIX(dscal,DSCAL)
#define F77_cscal_base F77_GLOBAL_SUFFIX(cscal,CSCAL)
#define F77_zscal_base F77_GLOBAL_SUFFIX(zscal,ZSCAL)
#define F77_csscal_base F77_GLOBAL_SUFFIX(csscal,CSSCAL)
#define F77_zdscal_base F77_GLOBAL_SUFFIX(zdscal,ZDSCAL)
#define F77_cdotu_sub_base F77_GLOBAL_SUFFIX(cdotusub,CDOTUSUB)
#define F77_cdotc_sub_base F77_GLOBAL_SUFFIX(cdotcsub,CDOTCSUB)
#define F77_zdotu_sub_base F77_GLOBAL_SUFFIX(zdotusub,ZDOTUSUB)
#define F77_zdotc_sub_base F77_GLOBAL_SUFFIX(zdotcsub,ZDOTCSUB)
#define F77_snrm2_sub_base F77_GLOBAL_SUFFIX(snrm2sub,SNRM2SUB)
#define F77_sasum_sub_base F77_GLOBAL_SUFFIX(sasumsub,SASUMSUB)
#define F77_dnrm2_sub_base F77_GLOBAL_SUFFIX(dnrm2sub,DNRM2SUB)
#define F77_dasum_sub_base F77_GLOBAL_SUFFIX(dasumsub,DASUMSUB)
#define F77_scnrm2_sub_base F77_GLOBAL_SUFFIX(scnrm2sub,SCNRM2SUB)
#define F77_scasum_sub_base F77_GLOBAL_SUFFIX(scasumsub,SCASUMSUB)
#define F77_dznrm2_sub_base F77_GLOBAL_SUFFIX(dznrm2sub,DZNRM2SUB)
#define F77_dzasum_sub_base F77_GLOBAL_SUFFIX(dzasumsub,DZASUMSUB)
#define F77_sdsdot_sub_base F77_GLOBAL_SUFFIX(sdsdotsub,SDSDOTSUB)
#define F77_crotg_base F77_GLOBAL_SUFFIX(crotg, CROTG)
#define F77_csrot_base F77_GLOBAL_SUFFIX(csrot, CSROT)
#define F77_zrotg_base F77_GLOBAL_SUFFIX(zrotg, ZROTG)
#define F77_zdrot_base F77_GLOBAL_SUFFIX(zdrot, ZDROT)
#define F77_scabs1_sub_base F77_GLOBAL_SUFFIX(scabs1sub, SCABS1SUB)
#define F77_dcabs1_sub_base F77_GLOBAL_SUFFIX(dcabs1sub, DCABS1SUB)
#define F77_ssymv_base F77_GLOBAL_SUFFIX(ssymv,SSYMV)
#define F77_ssbmv_base F77_GLOBAL_SUFFIX(ssbmv,SSBMV)
#define F77_sspmv_base F77_GLOBAL_SUFFIX(sspmv,SSPMV)
#define F77_sger_base F77_GLOBAL_SUFFIX(sger,SGER)
#define F77_ssyr_base F77_GLOBAL_SUFFIX(ssyr,SSYR)
#define F77_sspr_base F77_GLOBAL_SUFFIX(sspr,SSPR)
#define F77_ssyr2_base F77_GLOBAL_SUFFIX(ssyr2,SSYR2)
#define F77_sspr2_base F77_GLOBAL_SUFFIX(sspr2,SSPR2)
#define F77_dsymv_base F77_GLOBAL_SUFFIX(dsymv,DSYMV)
#define F77_dsbmv_base F77_GLOBAL_SUFFIX(dsbmv,DSBMV)
#define F77_dspmv_base F77_GLOBAL_SUFFIX(dspmv,DSPMV)
#define F77_dger_base F77_GLOBAL_SUFFIX(dger,DGER)
#define F77_dsyr_base F77_GLOBAL_SUFFIX(dsyr,DSYR)
#define F77_dspr_base F77_GLOBAL_SUFFIX(dspr,DSPR)
#define F77_dsyr2_base F77_GLOBAL_SUFFIX(dsyr2,DSYR2)
#define F77_dspr2_base F77_GLOBAL_SUFFIX(dspr2,DSPR2)
#define F77_chemv_base F77_GLOBAL_SUFFIX(chemv,CHEMV)
#define F77_chbmv_base F77_GLOBAL_SUFFIX(chbmv,CHBMV)
#define F77_chpmv_base F77_GLOBAL_SUFFIX(chpmv,CHPMV)
#define F77_cgeru_base F77_GLOBAL_SUFFIX(cgeru,CGERU)
#define F77_cgerc_base F77_GLOBAL_SUFFIX(cgerc,CGERC)
#define F77_cher_base F77_GLOBAL_SUFFIX(cher,CHER)
#define F77_chpr_base F77_GLOBAL_SUFFIX(chpr,CHPR)
#define F77_cher2_base F77_GLOBAL_SUFFIX(cher2,CHER2)
#define F77_chpr2_base F77_GLOBAL_SUFFIX(chpr2,CHPR2)
#define F77_zhemv_base F77_GLOBAL_SUFFIX(zhemv,ZHEMV)
#define F77_zhbmv_base F77_GLOBAL_SUFFIX(zhbmv,ZHBMV)
#define F77_zhpmv_base F77_GLOBAL_SUFFIX(zhpmv,ZHPMV)
#define F77_zgeru_base F77_GLOBAL_SUFFIX(zgeru,ZGERU)
#define F77_zgerc_base F77_GLOBAL_SUFFIX(zgerc,ZGERC)
#define F77_zher_base F77_GLOBAL_SUFFIX(zher,ZHER)
#define F77_zhpr_base F77_GLOBAL_SUFFIX(zhpr,ZHPR)
#define F77_zher2_base F77_GLOBAL_SUFFIX(zher2,ZHER2)
#define F77_zhpr2_base F77_GLOBAL_SUFFIX(zhpr2,ZHPR2)
#define F77_sgemv_base F77_GLOBAL_SUFFIX(sgemv,SGEMV)
#define F77_sgbmv_base F77_GLOBAL_SUFFIX(sgbmv,SGBMV)
#define F77_strmv_base F77_GLOBAL_SUFFIX(strmv,STRMV)
#define F77_stbmv_base F77_GLOBAL_SUFFIX(stbmv,STBMV)
#define F77_stpmv_base F77_GLOBAL_SUFFIX(stpmv,STPMV)
#define F77_strsv_base F77_GLOBAL_SUFFIX(strsv,STRSV)
#define F77_stbsv_base F77_GLOBAL_SUFFIX(stbsv,STBSV)
#define F77_stpsv_base F77_GLOBAL_SUFFIX(stpsv,STPSV)
#define F77_dgemv_base F77_GLOBAL_SUFFIX(dgemv,DGEMV)
#define F77_dgbmv_base F77_GLOBAL_SUFFIX(dgbmv,DGBMV)
#define F77_dtrmv_base F77_GLOBAL_SUFFIX(dtrmv,DTRMV)
#define F77_dtbmv_base F77_GLOBAL_SUFFIX(dtbmv,DTBMV)
#define F77_dtpmv_base F77_GLOBAL_SUFFIX(dtpmv,DTPMV)
#define F77_dtrsv_base F77_GLOBAL_SUFFIX(dtrsv,DTRSV)
#define F77_dtbsv_base F77_GLOBAL_SUFFIX(dtbsv,DTBSV)
#define F77_dtpsv_base F77_GLOBAL_SUFFIX(dtpsv,DTPSV)
#define F77_cgemv_base F77_GLOBAL_SUFFIX(cgemv,CGEMV)
#define F77_cgbmv_base F77_GLOBAL_SUFFIX(cgbmv,CGBMV)
#define F77_ctrmv_base F77_GLOBAL_SUFFIX(ctrmv,CTRMV)
#define F77_ctbmv_base F77_GLOBAL_SUFFIX(ctbmv,CTBMV)
#define F77_ctpmv_base F77_GLOBAL_SUFFIX(ctpmv,CTPMV)
#define F77_ctrsv_base F77_GLOBAL_SUFFIX(ctrsv,CTRSV)
#define F77_ctbsv_base F77_GLOBAL_SUFFIX(ctbsv,CTBSV)
#define F77_ctpsv_base F77_GLOBAL_SUFFIX(ctpsv,CTPSV)
#define F77_zgemv_base F77_GLOBAL_SUFFIX(zgemv,ZGEMV)
#define F77_zgbmv_base F77_GLOBAL_SUFFIX(zgbmv,ZGBMV)
#define F77_ztrmv_base F77_GLOBAL_SUFFIX(ztrmv,ZTRMV)
#define F77_ztbmv_base F77_GLOBAL_SUFFIX(ztbmv,ZTBMV)
#define F77_ztpmv_base F77_GLOBAL_SUFFIX(ztpmv,ZTPMV)
#define F77_ztrsv_base F77_GLOBAL_SUFFIX(ztrsv,ZTRSV)
#define F77_ztbsv_base F77_GLOBAL_SUFFIX(ztbsv,ZTBSV)
#define F77_ztpsv_base F77_GLOBAL_SUFFIX(ztpsv,ZTPSV)
#define F77_chemm_base F77_GLOBAL_SUFFIX(chemm,CHEMM)
#define F77_cherk_base F77_GLOBAL_SUFFIX(cherk,CHERK)
#define F77_cher2k_base F77_GLOBAL_SUFFIX(cher2k,CHER2K)
#define F77_zhemm_base F77_GLOBAL_SUFFIX(zhemm,ZHEMM)
#define F77_zherk_base F77_GLOBAL_SUFFIX(zherk,ZHERK)
#define F77_zher2k_base F77_GLOBAL_SUFFIX(zher2k,ZHER2K)
#define F77_sgemm_base F77_GLOBAL_SUFFIX(sgemm,SGEMM)
#define F77_sgemmtr_base F77_GLOBAL_SUFFIX(sgemmtr,SGEMMTR)
#define F77_ssymm_base F77_GLOBAL_SUFFIX(ssymm,SSYMM)
#define F77_ssyrk_base F77_GLOBAL_SUFFIX(ssyrk,SSYRK)
#define F77_ssyr2k_base F77_GLOBAL_SUFFIX(ssyr2k,SSYR2K)
#define F77_strmm_base F77_GLOBAL_SUFFIX(strmm,STRMM)
#define F77_strsm_base F77_GLOBAL_SUFFIX(strsm,STRSM)
#define F77_dgemm_base F77_GLOBAL_SUFFIX(dgemm,DGEMM)
#define F77_dgemmtr_base F77_GLOBAL_SUFFIX(dgemmtr,DGEMMTR)
#define F77_dsymm_base F77_GLOBAL_SUFFIX(dsymm,DSYMM)
#define F77_dsyrk_base F77_GLOBAL_SUFFIX(dsyrk,DSYRK)
#define F77_dsyr2k_base F77_GLOBAL_SUFFIX(dsyr2k,DSYR2K)
#define F77_dtrmm_base F77_GLOBAL_SUFFIX(dtrmm,DTRMM)
#define F77_dtrsm_base F77_GLOBAL_SUFFIX(dtrsm,DTRSM)
#define F77_cgemm_base F77_GLOBAL_SUFFIX(cgemm,CGEMM)
#define F77_cgemmtr_base F77_GLOBAL_SUFFIX(cgemmtr,CGEMMTR)
#define F77_csymm_base F77_GLOBAL_SUFFIX(csymm,CSYMM)
#define F77_csyrk_base F77_GLOBAL_SUFFIX(csyrk,CSYRK)
#define F77_csyr2k_base F77_GLOBAL_SUFFIX(csyr2k,CSYR2K)
#define F77_ctrmm_base F77_GLOBAL_SUFFIX(ctrmm,CTRMM)
#define F77_ctrsm_base F77_GLOBAL_SUFFIX(ctrsm,CTRSM)
#define F77_zgemm_base F77_GLOBAL_SUFFIX(zgemm,ZGEMM)
#define F77_zgemmtr_base F77_GLOBAL_SUFFIX(zgemmtr,ZGEMMTR)
#define F77_zsymm_base F77_GLOBAL_SUFFIX(zsymm,ZSYMM)
#define F77_zsyrk_base F77_GLOBAL_SUFFIX(zsyrk,ZSYRK)
#define F77_zsyr2k_base F77_GLOBAL_SUFFIX(zsyr2k,ZSYR2K)
#define F77_ztrmm_base F77_GLOBAL_SUFFIX(ztrmm,ZTRMM)
#define F77_ztrsm_base F77_GLOBAL_SUFFIX(ztrsm,ZTRSM)
#define F77_srot(...)
#define F77_srotg(...)
#define F77_srotm(...)
#define F77_srotmg(...)
#define F77_sswap(...)
#define F77_scopy(...)
#define F77_saxpy(...)
#define F77_sdot_sub(...)
#define F77_sdsdot_sub(...)
#define F77_sscal(...)
#define F77_snrm2_sub(...)
#define F77_sasum_sub(...)
#define F77_isamax_sub(...)
#define F77_scabs1_sub(...)
#define F77_drot(...)
#define F77_drotg(...)
#define F77_drotm(...)
#define F77_drotmg(...)
#define F77_dswap(...)
#define F77_dcopy(...)
#define F77_daxpy(...)
#define F77_dswap(...)
#define F77_dsdot_sub(...)
#define F77_ddot_sub(...)
#define F77_dscal(...)
#define F77_dnrm2_sub(...)
#define F77_dasum_sub(...)
#define F77_idamax_sub(...)
#define F77_dcabs1_sub(...)
#define F77_crotg(...)
#define F77_csrot(...)
#define F77_cswap(...)
#define F77_ccopy(...)
#define F77_caxpy(...)
#define F77_cswap(...)
#define F77_cdotc_sub(...)
#define F77_cdotu_sub(...)
#define F77_cscal(...)
#define F77_icamax_sub(...)
#define F77_csscal(...)
#define F77_scnrm2_sub(...)
#define F77_scasum_sub(...)
#define F77_zrotg(...)
#define F77_zdrot(...)
#define F77_zswap(...)
#define F77_zcopy(...)
#define F77_zaxpy(...)
#define F77_zswap(...)
#define F77_zdotc_sub(...)
#define F77_zdotu_sub(...)
#define F77_zdscal(...)
#define F77_zscal(...)
#define F77_dznrm2_sub(...)
#define F77_dzasum_sub(...)
#define F77_izamax_sub(...)
#define F77_sger(...)
#define F77_dger(...)
#define F77_cgerc(...)
#define F77_cgeru(...)
#define F77_zgerc(...)
#define F77_zgeru(...)
#define F77_sgemv(...)
#define F77_sgbmv(...)
#define F77_ssymv(...)
#define F77_ssbmv(...)
#define F77_sspmv(...)
#define F77_strmv(...)
#define F77_stbmv(...)
#define F77_strsv(...)
#define F77_stbsv(...)
#define F77_stpmv(...)
#define F77_stpsv(...)
#define F77_ssyr(...)
#define F77_sspr(...)
#define F77_sspr2(...)
#define F77_ssyr2(...)
#define F77_dgemv(...)
#define F77_dgbmv(...)
#define F77_dsymv(...)
#define F77_dsbmv(...)
#define F77_dspmv(...)
#define F77_dtrmv(...)
#define F77_dtbmv(...)
#define F77_dtrsv(...)
#define F77_dtbsv(...)
#define F77_dtpmv(...)
#define F77_dtpsv(...)
#define F77_dsyr(...)
#define F77_dspr(...)
#define F77_dspr2(...)
#define F77_dsyr2(...)
#define F77_cgemv(...)
#define F77_cgbmv(...)
#define F77_chemv(...)
#define F77_chbmv(...)
#define F77_chpmv(...)
#define F77_ctrmv(...)
#define F77_ctbmv(...)
#define F77_ctpmv(...)
#define F77_ctrsv(...)
#define F77_ctbsv(...)
#define F77_ctpsv(...)
#define F77_cher(...)
#define F77_cher2(...)
#define F77_chpr(...)
#define F77_chpr2(...)
#define F77_zgemv(...)
#define F77_zgbmv(...)
#define F77_zhemv(...)
#define F77_zhbmv(...)
#define F77_zhpmv(...)
#define F77_ztrmv(...)
#define F77_ztbmv(...)
#define F77_ztpmv(...)
#define F77_ztrsv(...)
#define F77_ztbsv(...)
#define F77_ztpsv(...)
#define F77_zher(...)
#define F77_zher2(...)
#define F77_zhpr(...)
#define F77_zhpr2(...)
#define F77_sgemm(...)
#define F77_sgemmtr(...)
#define F77_ssymm(...)
#define F77_ssyrk(...)
#define F77_ssyr2k(...)
#define F77_strmm(...)
#define F77_strsm(...)
#define F77_dgemm(...)
#define F77_dgemmtr(...)
#define F77_dsymm(...)
#define F77_dsyrk(...)
#define F77_dsyr2k(...)
#define F77_dtrmm(...)
#define F77_dtrsm(...)
#define F77_cgemm(...)
#define F77_cgemmtr(...)
#define F77_csymm(...)
#define F77_chemm(...)
#define F77_csyrk(...)
#define F77_cherk(...)
#define F77_csyr2k(...)
#define F77_cher2k(...)
#define F77_ctrmm(...)
#define F77_ctrsm(...)
#define F77_zgemm(...)
#define F77_zgemmtr(...)
#define F77_zsymm(...)
#define F77_zhemm(...)
#define F77_zsyrk(...)
#define F77_zherk(...)
#define F77_zsyr2k(...)
#define F77_zher2k(...)
#define F77_ztrmm(...)
#define F77_ztrsm(...)
#define F77_xerbla(...)

  Functions
void F77_xerbla_base (FCHAR, void *, FORTRAN_STRLEN)
void F77_srot_base (FINT, float *, FINT, float *, FINT, const float *, const float *)
void F77_srotg_base (float *, float *, float *, float *)
void F77_srotm_base (FINT, float *, FINT, float *, FINT, const float *)
void F77_srotmg_base (float *, float *, float *, const float *, float *)
void F77_sswap_base (FINT, float *, FINT, float *, FINT)
void F77_scopy_base (FINT, const float *, FINT, float *, FINT)
void F77_saxpy_base (FINT, const float *, const float *, FINT, float *, FINT)
void F77_sdot_sub_base (FINT, const float *, FINT, const float *, FINT, float *)
void F77_sdsdot_sub_base (FINT, const float *, const float *, FINT, const float *, FINT, float *)
void F77_sscal_base (FINT, const float *, float *, FINT)
void F77_snrm2_sub_base (FINT, const float *, FINT, float *)
void F77_sasum_sub_base (FINT, const float *, FINT, float *)
void F77_isamax_sub_base (FINT, const float *, FINT, FINT2)
void F77_drot_base (FINT, double *, FINT, double *, FINT, const double *, const double *)
void F77_drotg_base (double *, double *, double *, double *)
void F77_drotm_base (FINT, double *, FINT, double *, FINT, const double *)
void F77_drotmg_base (double *, double *, double *, const double *, double *)
void F77_dswap_base (FINT, double *, FINT, double *, FINT)
void F77_dcopy_base (FINT, const double *, FINT, double *, FINT)
void F77_daxpy_base (FINT, const double *, const double *, FINT, double *, FINT)
void F77_dsdot_sub_base (FINT, const float *, FINT, const float *, FINT, double *)
void F77_ddot_sub_base (FINT, const double *, FINT, const double *, FINT, double *)
void F77_dscal_base (FINT, const double *, double *, FINT)
void F77_dnrm2_sub_base (FINT, const double *, FINT, double *)
void F77_dasum_sub_base (FINT, const double *, FINT, double *)
void F77_idamax_sub_base (FINT, const double *, FINT, FINT2)
void F77_crotg_base (void *, void *, float *, void *)
void F77_csrot_base (FINT, void *X, FINT, void *, FINT, const float *, const float *)
void F77_cswap_base (FINT, void *, FINT, void *, FINT)
void F77_ccopy_base (FINT, const void *, FINT, void *, FINT)
void F77_caxpy_base (FINT, const void *, const void *, FINT, void *, FINT)
void F77_cdotc_sub_base (FINT, const void *, FINT, const void *, FINT, void *)
void F77_cdotu_sub_base (FINT, const void *, FINT, const void *, FINT, void *)
void F77_cscal_base (FINT, const void *, void *, FINT)
void F77_icamax_sub_base (FINT, const void *, FINT, FINT2)
void F77_csscal_base (FINT, const float *, void *, FINT)
void F77_scnrm2_sub_base (FINT, const void *, FINT, float *)
void F77_scasum_sub_base (FINT, const void *, FINT, float *)
void F77_scabs1_sub_base (const void *, float *)
void F77_zrotg_base (void *, void *, double *, void *)
void F77_zdrot_base (FINT, void *X, FINT, void *, FINT, const double *, const double *)
void F77_zswap_base (FINT, void *, FINT, void *, FINT)
void F77_zcopy_base (FINT, const void *, FINT, void *, FINT)
void F77_zaxpy_base (FINT, const void *, const void *, FINT, void *, FINT)
void F77_zdotc_sub_base (FINT, const void *, FINT, const void *, FINT, void *)
void F77_zdotu_sub_base (FINT, const void *, FINT, const void *, FINT, void *)
void F77_zdscal_base (FINT, const double *, void *, FINT)
void F77_zscal_base (FINT, const void *, void *, FINT)
void F77_dznrm2_sub_base (FINT, const void *, FINT, double *)
void F77_dzasum_sub_base (FINT, const void *, FINT, double *)
void F77_izamax_sub_base (FINT, const void *, FINT, FINT2)
void F77_dcabs1_sub_base (const void *, double *)
void F77_sgemv_base (FCHAR, FINT, FINT, const float *, const float *, FINT, const float *, FINT, const float *, float *, FINT, FORTRAN_STRLEN)
void F77_sgbmv_base (FCHAR, FINT, FINT, FINT, FINT, const float *, const float *, FINT, const float *, FINT, const float *, float *, FINT, FORTRAN_STRLEN)
void F77_ssymv_base (FCHAR, FINT, const float *, const float *, FINT, const float *, FINT, const float *, float *, FINT, FORTRAN_STRLEN)
void F77_ssbmv_base (FCHAR, FINT, FINT, const float *, const float *, FINT, const float *, FINT, const float *, float *, FINT, FORTRAN_STRLEN)
void F77_sspmv_base (FCHAR, FINT, const float *, const float *, const float *, FINT, const float *, float *, FINT, FORTRAN_STRLEN)
void F77_strmv_base (FCHAR, FCHAR, FCHAR, FINT, const float *, FINT, float *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_stbmv_base (FCHAR, FCHAR, FCHAR, FINT, FINT, const float *, FINT, float *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_strsv_base (FCHAR, FCHAR, FCHAR, FINT, const float *, FINT, float *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_stbsv_base (FCHAR, FCHAR, FCHAR, FINT, FINT, const float *, FINT, float *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_stpmv_base (FCHAR, FCHAR, FCHAR, FINT, const float *, float *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_stpsv_base (FCHAR, FCHAR, FCHAR, FINT, const float *, float *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_sger_base (FINT, FINT, const float *, const float *, FINT, const float *, FINT, float *, FINT)
void F77_ssyr_base (FCHAR, FINT, const float *, const float *, FINT, float *, FINT, FORTRAN_STRLEN)
void F77_sspr_base (FCHAR, FINT, const float *, const float *, FINT, float *, FORTRAN_STRLEN)
void F77_sspr2_base (FCHAR, FINT, const float *, const float *, FINT, const float *, FINT, float *, FORTRAN_STRLEN)
void F77_ssyr2_base (FCHAR, FINT, const float *, const float *, FINT, const float *, FINT, float *, FINT, FORTRAN_STRLEN)
void F77_dgemv_base (FCHAR, FINT, FINT, const double *, const double *, FINT, const double *, FINT, const double *, double *, FINT, FORTRAN_STRLEN)
void F77_dgbmv_base (FCHAR, FINT, FINT, FINT, FINT, const double *, const double *, FINT, const double *, FINT, const double *, double *, FINT, FORTRAN_STRLEN)
void F77_dsymv_base (FCHAR, FINT, const double *, const double *, FINT, const double *, FINT, const double *, double *, FINT, FORTRAN_STRLEN)
void F77_dsbmv_base (FCHAR, FINT, FINT, const double *, const double *, FINT, const double *, FINT, const double *, double *, FINT, FORTRAN_STRLEN)
void F77_dspmv_base (FCHAR, FINT, const double *, const double *, const double *, FINT, const double *, double *, FINT, FORTRAN_STRLEN)
void F77_dtrmv_base (FCHAR, FCHAR, FCHAR, FINT, const double *, FINT, double *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_dtbmv_base (FCHAR, FCHAR, FCHAR, FINT, FINT, const double *, FINT, double *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_dtrsv_base (FCHAR, FCHAR, FCHAR, FINT, const double *, FINT, double *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_dtbsv_base (FCHAR, FCHAR, FCHAR, FINT, FINT, const double *, FINT, double *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_dtpmv_base (FCHAR, FCHAR, FCHAR, FINT, const double *, double *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_dtpsv_base (FCHAR, FCHAR, FCHAR, FINT, const double *, double *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_dger_base (FINT, FINT, const double *, const double *, FINT, const double *, FINT, double *, FINT)
void F77_dsyr_base (FCHAR, FINT, const double *, const double *, FINT, double *, FINT, FORTRAN_STRLEN)
void F77_dspr_base (FCHAR, FINT, const double *, const double *, FINT, double *, FORTRAN_STRLEN)
void F77_dspr2_base (FCHAR, FINT, const double *, const double *, FINT, const double *, FINT, double *, FORTRAN_STRLEN)
void F77_dsyr2_base (FCHAR, FINT, const double *, const double *, FINT, const double *, FINT, double *, FINT, FORTRAN_STRLEN)
void F77_cgemv_base (FCHAR, FINT, FINT, const void *, const void *, FINT, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN)
void F77_cgbmv_base (FCHAR, FINT, FINT, FINT, FINT, const void *, const void *, FINT, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN)
void F77_chemv_base (FCHAR, FINT, const void *, const void *, FINT, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN)
void F77_chbmv_base (FCHAR, FINT, FINT, const void *, const void *, FINT, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN)
void F77_chpmv_base (FCHAR, FINT, const void *, const void *, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN)
void F77_ctrmv_base (FCHAR, FCHAR, FCHAR, FINT, const void *, FINT, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_ctbmv_base (FCHAR, FCHAR, FCHAR, FINT, FINT, const void *, FINT, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_ctpmv_base (FCHAR, FCHAR, FCHAR, FINT, const void *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_ctrsv_base (FCHAR, FCHAR, FCHAR, FINT, const void *, FINT, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_ctbsv_base (FCHAR, FCHAR, FCHAR, FINT, FINT, const void *, FINT, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_ctpsv_base (FCHAR, FCHAR, FCHAR, FINT, const void *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_cgerc_base (FINT, FINT, const void *, const void *, FINT, const void *, FINT, void *, FINT)
void F77_cgeru_base (FINT, FINT, const void *, const void *, FINT, const void *, FINT, void *, FINT)
void F77_cher_base (FCHAR, FINT, const float *, const void *, FINT, void *, FINT, FORTRAN_STRLEN)
void F77_cher2_base (FCHAR, FINT, const void *, const void *, FINT, const void *, FINT, void *, FINT, FORTRAN_STRLEN)
void F77_chpr_base (FCHAR, FINT, const float *, const void *, FINT, void *, FORTRAN_STRLEN)
void F77_chpr2_base (FCHAR, FINT, const void *, const void *, FINT, const void *, FINT, void *, FORTRAN_STRLEN)
void F77_zgemv_base (FCHAR, FINT, FINT, const void *, const void *, FINT, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN)
void F77_zgbmv_base (FCHAR, FINT, FINT, FINT, FINT, const void *, const void *, FINT, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN)
void F77_zhemv_base (FCHAR, FINT, const void *, const void *, FINT, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN)
void F77_zhbmv_base (FCHAR, FINT, FINT, const void *, const void *, FINT, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN)
void F77_zhpmv_base (FCHAR, FINT, const void *, const void *, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN)
void F77_ztrmv_base (FCHAR, FCHAR, FCHAR, FINT, const void *, FINT, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_ztbmv_base (FCHAR, FCHAR, FCHAR, FINT, FINT, const void *, FINT, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_ztpmv_base (FCHAR, FCHAR, FCHAR, FINT, const void *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_ztrsv_base (FCHAR, FCHAR, FCHAR, FINT, const void *, FINT, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_ztbsv_base (FCHAR, FCHAR, FCHAR, FINT, FINT, const void *, FINT, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_ztpsv_base (FCHAR, FCHAR, FCHAR, FINT, const void *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_zgerc_base (FINT, FINT, const void *, const void *, FINT, const void *, FINT, void *, FINT)
void F77_zgeru_base (FINT, FINT, const void *, const void *, FINT, const void *, FINT, void *, FINT)
void F77_zher_base (FCHAR, FINT, const double *, const void *, FINT, void *, FINT, FORTRAN_STRLEN)
void F77_zher2_base (FCHAR, FINT, const void *, const void *, FINT, const void *, FINT, void *, FINT, FORTRAN_STRLEN)
void F77_zhpr_base (FCHAR, FINT, const double *, const void *, FINT, void *, FORTRAN_STRLEN)
void F77_zhpr2_base (FCHAR, FINT, const void *, const void *, FINT, const void *, FINT, void *, FORTRAN_STRLEN)
void F77_sgemm_base (FCHAR, FCHAR, FINT, FINT, FINT, const float *, const float *, FINT, const float *, FINT, const float *, float *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_sgemmtr_base (FCHAR, FCHAR, FCHAR, FINT, FINT, const float *, const float *, FINT, const float *, FINT, const float *, float *, FINT, size_t, size_t, size_t)
void F77_ssymm_base (FCHAR, FCHAR, FINT, FINT, const float *, const float *, FINT, const float *, FINT, const float *, float *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_ssyrk_base (FCHAR, FCHAR, FINT, FINT, const float *, const float *, FINT, const float *, float *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_ssyr2k_base (FCHAR, FCHAR, FINT, FINT, const float *, const float *, FINT, const float *, FINT, const float *, float *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_strmm_base (FCHAR, FCHAR, FCHAR, FCHAR, FINT, FINT, const float *, const float *, FINT, float *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_strsm_base (FCHAR, FCHAR, FCHAR, FCHAR, FINT, FINT, const float *, const float *, FINT, float *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_dgemm_base (FCHAR, FCHAR, FINT, FINT, FINT, const double *, const double *, FINT, const double *, FINT, const double *, double *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_dgemmtr_base (FCHAR, FCHAR, FCHAR, FINT, FINT, const double *, const double *, FINT, const double *, FINT, const double *, double *, FINT, size_t, size_t, size_t)
void F77_dsymm_base (FCHAR, FCHAR, FINT, FINT, const double *, const double *, FINT, const double *, FINT, const double *, double *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_dsyrk_base (FCHAR, FCHAR, FINT, FINT, const double *, const double *, FINT, const double *, double *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_dsyr2k_base (FCHAR, FCHAR, FINT, FINT, const double *, const double *, FINT, const double *, FINT, const double *, double *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_dtrmm_base (FCHAR, FCHAR, FCHAR, FCHAR, FINT, FINT, const double *, const double *, FINT, double *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_dtrsm_base (FCHAR, FCHAR, FCHAR, FCHAR, FINT, FINT, const double *, const double *, FINT, double *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_cgemm_base (FCHAR, FCHAR, FINT, FINT, FINT, const void *, const void *, FINT, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_cgemmtr_base (FCHAR, FCHAR, FCHAR, FINT, FINT, const void *, const void *, FINT, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_csymm_base (FCHAR, FCHAR, FINT, FINT, const void *, const void *, FINT, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_chemm_base (FCHAR, FCHAR, FINT, FINT, const void *, const void *, FINT, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_csyrk_base (FCHAR, FCHAR, FINT, FINT, const void *, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_cherk_base (FCHAR, FCHAR, FINT, FINT, const float *, const void *, FINT, const float *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_csyr2k_base (FCHAR, FCHAR, FINT, FINT, const void *, const void *, FINT, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_cher2k_base (FCHAR, FCHAR, FINT, FINT, const void *, const void *, FINT, const void *, FINT, const float *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_ctrmm_base (FCHAR, FCHAR, FCHAR, FCHAR, FINT, FINT, const void *, const void *, FINT, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_ctrsm_base (FCHAR, FCHAR, FCHAR, FCHAR, FINT, FINT, const void *, const void *, FINT, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_zgemm_base (FCHAR, FCHAR, FINT, FINT, FINT, const void *, const void *, FINT, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_zgemmtr_base (FCHAR, FCHAR, FCHAR, FINT, FINT, const void *, const void *, FINT, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_zsymm_base (FCHAR, FCHAR, FINT, FINT, const void *, const void *, FINT, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_zhemm_base (FCHAR, FCHAR, FINT, FINT, const void *, const void *, FINT, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_zsyrk_base (FCHAR, FCHAR, FINT, FINT, const void *, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_zherk_base (FCHAR, FCHAR, FINT, FINT, const double *, const void *, FINT, const double *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_zsyr2k_base (FCHAR, FCHAR, FINT, FINT, const void *, const void *, FINT, const void *, FINT, const void *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_zher2k_base (FCHAR, FCHAR, FINT, FINT, const void *, const void *, FINT, const void *, FINT, const double *, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_ztrmm_base (FCHAR, FCHAR, FCHAR, FCHAR, FINT, FINT, const void *, const void *, FINT, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)
void F77_ztrsm_base (FCHAR, FCHAR, FCHAR, FCHAR, FINT, FINT, const void *, const void *, FINT, void *, FINT, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN, FORTRAN_STRLEN)

Macro Definition Documentation

  #define API_SUFFIX( a)
Value:
a

Definition at line 56 of file cblas_f77.h.

  #define BLAS_FORTRAN_STRLEN_END

Definition at line 18 of file cblas_f77.h.

  #define F77_caxpy( ...)
Value:
F77_caxpy_base(__VA_ARGS__)

Definition at line 274 of file cblas_f77.h.

  #define F77_caxpy_base F77_GLOBAL_SUFFIX(caxpy,CAXPY)

Definition at line 86 of file cblas_f77.h.

  #define F77_ccopy( ...)
Value:
F77_ccopy_base(__VA_ARGS__)

Definition at line 273 of file cblas_f77.h.

  #define F77_ccopy_base F77_GLOBAL_SUFFIX(ccopy,CCOPY)

Definition at line 85 of file cblas_f77.h.

  #define F77_cdotc_sub( ...)
Value:
F77_cdotc_sub_base(__VA_ARGS__)

Definition at line 276 of file cblas_f77.h.

  #define F77_cdotc_sub_base F77_GLOBAL_SUFFIX(cdotcsub,CDOTCSUB)

Definition at line 102 of file cblas_f77.h.

  #define F77_cdotu_sub( ...)
Value:
F77_cdotu_sub_base(__VA_ARGS__)

Definition at line 277 of file cblas_f77.h.

  #define F77_cdotu_sub_base F77_GLOBAL_SUFFIX(cdotusub,CDOTUSUB)

Definition at line 101 of file cblas_f77.h.

  #define F77_cgbmv( ...)
Value:
F77_cgbmv_base(__VA_ARGS__, 1)

Definition at line 356 of file cblas_f77.h.

  #define F77_cgbmv_base F77_GLOBAL_SUFFIX(cgbmv,CGBMV)

Definition at line 175 of file cblas_f77.h.

  #define F77_cgemm( ...)
Value:
F77_cgemm_base(__VA_ARGS__, 1, 1)

Definition at line 415 of file cblas_f77.h.

  #define F77_cgemm_base F77_GLOBAL_SUFFIX(cgemm,CGEMM)

Definition at line 213 of file cblas_f77.h.

  #define F77_cgemmtr( ...)
Value:
F77_cgemmtr_base(__VA_ARGS__, 1, 1, 1)

Definition at line 416 of file cblas_f77.h.

  #define F77_cgemmtr_base F77_GLOBAL_SUFFIX(cgemmtr,CGEMMTR)

Definition at line 214 of file cblas_f77.h.

  #define F77_cgemv( ...)
Value:
F77_cgemv_base(__VA_ARGS__, 1)

Definition at line 355 of file cblas_f77.h.

  #define F77_cgemv_base F77_GLOBAL_SUFFIX(cgemv,CGEMV)

Definition at line 174 of file cblas_f77.h.

  #define F77_cgerc( ...)
Value:
F77_cgerc_base(__VA_ARGS__)

Definition at line 306 of file cblas_f77.h.

  #define F77_cgerc_base F77_GLOBAL_SUFFIX(cgerc,CGERC)

Definition at line 144 of file cblas_f77.h.

  #define F77_cgeru( ...)
Value:
F77_cgeru_base(__VA_ARGS__)

Definition at line 307 of file cblas_f77.h.

  #define F77_cgeru_base F77_GLOBAL_SUFFIX(cgeru,CGERU)

Definition at line 143 of file cblas_f77.h.

  #define F77_chbmv( ...)
Value:
F77_chbmv_base(__VA_ARGS__, 1)

Definition at line 358 of file cblas_f77.h.

  #define F77_chbmv_base F77_GLOBAL_SUFFIX(chbmv,CHBMV)

Definition at line 141 of file cblas_f77.h.

  #define F77_chemm( ...)
Value:
F77_chemm_base(__VA_ARGS__, 1, 1)

Definition at line 418 of file cblas_f77.h.

  #define F77_chemm_base F77_GLOBAL_SUFFIX(chemm,CHEMM)

Definition at line 193 of file cblas_f77.h.

  #define F77_chemv( ...)
Value:
F77_chemv_base(__VA_ARGS__, 1)

Definition at line 357 of file cblas_f77.h.

  #define F77_chemv_base F77_GLOBAL_SUFFIX(chemv,CHEMV)

Definition at line 140 of file cblas_f77.h.

  #define F77_cher( ...)
Value:
F77_cher_base(__VA_ARGS__, 1)

Definition at line 366 of file cblas_f77.h.

  #define F77_cher2( ...)
Value:
F77_cher2_base(__VA_ARGS__, 1)

Definition at line 367 of file cblas_f77.h.

  #define F77_cher2_base F77_GLOBAL_SUFFIX(cher2,CHER2)

Definition at line 147 of file cblas_f77.h.

  #define F77_cher2k( ...)
Value:
F77_cher2k_base(__VA_ARGS__, 1, 1)

Definition at line 422 of file cblas_f77.h.

  #define F77_cher2k_base F77_GLOBAL_SUFFIX(cher2k,CHER2K)

Definition at line 195 of file cblas_f77.h.

  #define F77_cher_base F77_GLOBAL_SUFFIX(cher,CHER)

Definition at line 145 of file cblas_f77.h.

  #define F77_cherk( ...)
Value:
F77_cherk_base(__VA_ARGS__, 1, 1)

Definition at line 420 of file cblas_f77.h.

  #define F77_cherk_base F77_GLOBAL_SUFFIX(cherk,CHERK)

Definition at line 194 of file cblas_f77.h.

  #define F77_chpmv( ...)
Value:
F77_chpmv_base(__VA_ARGS__, 1)

Definition at line 359 of file cblas_f77.h.

  #define F77_chpmv_base F77_GLOBAL_SUFFIX(chpmv,CHPMV)

Definition at line 142 of file cblas_f77.h.

  #define F77_chpr( ...)
Value:
F77_chpr_base(__VA_ARGS__, 1)

Definition at line 368 of file cblas_f77.h.

  #define F77_chpr2( ...)
Value:
F77_chpr2_base(__VA_ARGS__, 1)

Definition at line 369 of file cblas_f77.h.

  #define F77_chpr2_base F77_GLOBAL_SUFFIX(chpr2,CHPR2)

Definition at line 148 of file cblas_f77.h.

  #define F77_chpr_base F77_GLOBAL_SUFFIX(chpr,CHPR)

Definition at line 146 of file cblas_f77.h.

  #define F77_crotg( ...)
Value:
F77_crotg_base(__VA_ARGS__)

Definition at line 270 of file cblas_f77.h.

  #define F77_crotg_base F77_GLOBAL_SUFFIX(crotg, CROTG)

Definition at line 114 of file cblas_f77.h.

  #define F77_cscal( ...)
Value:
F77_cscal_base(__VA_ARGS__)

Definition at line 278 of file cblas_f77.h.

  #define F77_cscal_base F77_GLOBAL_SUFFIX(cscal,CSCAL)

Definition at line 97 of file cblas_f77.h.

  #define F77_csrot( ...)
Value:
F77_csrot_base(__VA_ARGS__)

Definition at line 271 of file cblas_f77.h.

  #define F77_csrot_base F77_GLOBAL_SUFFIX(csrot, CSROT)

Definition at line 115 of file cblas_f77.h.

  #define F77_csscal( ...)
Value:
F77_csscal_base(__VA_ARGS__)

Definition at line 280 of file cblas_f77.h.

  #define F77_csscal_base F77_GLOBAL_SUFFIX(csscal,CSSCAL)

Definition at line 99 of file cblas_f77.h.

  #define F77_cswap( ...)
Value:
F77_cswap_base(__VA_ARGS__)

Definition at line 272 of file cblas_f77.h.

  #define F77_cswap( ...)
Value:
F77_cswap_base(__VA_ARGS__)

Definition at line 272 of file cblas_f77.h.

  #define F77_cswap_base F77_GLOBAL_SUFFIX(cswap,CSWAP)

Definition at line 84 of file cblas_f77.h.

  #define F77_csymm( ...)
Value:
F77_csymm_base(__VA_ARGS__, 1, 1)

Definition at line 417 of file cblas_f77.h.

  #define F77_csymm_base F77_GLOBAL_SUFFIX(csymm,CSYMM)

Definition at line 215 of file cblas_f77.h.

  #define F77_csyr2k( ...)
Value:
F77_csyr2k_base(__VA_ARGS__, 1, 1)

Definition at line 421 of file cblas_f77.h.

  #define F77_csyr2k_base F77_GLOBAL_SUFFIX(csyr2k,CSYR2K)

Definition at line 217 of file cblas_f77.h.

  #define F77_csyrk( ...)
Value:
F77_csyrk_base(__VA_ARGS__, 1, 1)

Definition at line 419 of file cblas_f77.h.

  #define F77_csyrk_base F77_GLOBAL_SUFFIX(csyrk,CSYRK)

Definition at line 216 of file cblas_f77.h.

  #define F77_ctbmv( ...)
Value:
F77_ctbmv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 361 of file cblas_f77.h.

  #define F77_ctbmv_base F77_GLOBAL_SUFFIX(ctbmv,CTBMV)

Definition at line 177 of file cblas_f77.h.

  #define F77_ctbsv( ...)
Value:
F77_ctbsv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 364 of file cblas_f77.h.

  #define F77_ctbsv_base F77_GLOBAL_SUFFIX(ctbsv,CTBSV)

Definition at line 180 of file cblas_f77.h.

  #define F77_ctpmv( ...)
Value:
F77_ctpmv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 362 of file cblas_f77.h.

  #define F77_ctpmv_base F77_GLOBAL_SUFFIX(ctpmv,CTPMV)

Definition at line 178 of file cblas_f77.h.

  #define F77_ctpsv( ...)
Value:
F77_ctpsv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 365 of file cblas_f77.h.

  #define F77_ctpsv_base F77_GLOBAL_SUFFIX(ctpsv,CTPSV)

Definition at line 181 of file cblas_f77.h.

  #define F77_ctrmm( ...)
Value:
F77_ctrmm_base(__VA_ARGS__, 1, 1, 1, 1)

Definition at line 423 of file cblas_f77.h.

  #define F77_ctrmm_base F77_GLOBAL_SUFFIX(ctrmm,CTRMM)

Definition at line 218 of file cblas_f77.h.

  #define F77_ctrmv( ...)
Value:
F77_ctrmv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 360 of file cblas_f77.h.

  #define F77_ctrmv_base F77_GLOBAL_SUFFIX(ctrmv,CTRMV)

Definition at line 176 of file cblas_f77.h.

  #define F77_ctrsm( ...)
Value:
F77_ctrsm_base(__VA_ARGS__, 1, 1, 1, 1)

Definition at line 424 of file cblas_f77.h.

  #define F77_ctrsm_base F77_GLOBAL_SUFFIX(ctrsm,CTRSM)

Definition at line 219 of file cblas_f77.h.

  #define F77_ctrsv( ...)
Value:
F77_ctrsv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 363 of file cblas_f77.h.

  #define F77_ctrsv_base F77_GLOBAL_SUFFIX(ctrsv,CTRSV)

Definition at line 179 of file cblas_f77.h.

  #define F77_dasum_sub( ...)
Value:
F77_dasum_sub_base(__VA_ARGS__)

Definition at line 264 of file cblas_f77.h.

  #define F77_dasum_sub_base F77_GLOBAL_SUFFIX(dasumsub,DASUMSUB)

Definition at line 108 of file cblas_f77.h.

  #define F77_daxpy( ...)
Value:
F77_daxpy_base(__VA_ARGS__)

Definition at line 258 of file cblas_f77.h.

  #define F77_daxpy_base F77_GLOBAL_SUFFIX(daxpy,DAXPY)

Definition at line 82 of file cblas_f77.h.

  #define F77_dcabs1_sub( ...)
Value:
F77_dcabs1_sub_base(__VA_ARGS__)

Definition at line 266 of file cblas_f77.h.

  #define F77_dcabs1_sub_base F77_GLOBAL_SUFFIX(dcabs1sub, DCABS1SUB)

Definition at line 119 of file cblas_f77.h.

  #define F77_dcopy( ...)
Value:
F77_dcopy_base(__VA_ARGS__)

Definition at line 257 of file cblas_f77.h.

  #define F77_dcopy_base F77_GLOBAL_SUFFIX(dcopy,DCOPY)

Definition at line 81 of file cblas_f77.h.

  #define F77_ddot_sub( ...)
Value:
F77_ddot_sub_base(__VA_ARGS__)

Definition at line 261 of file cblas_f77.h.

  #define F77_ddot_sub_base F77_GLOBAL_SUFFIX(ddotsub,DDOTSUB)

Definition at line 93 of file cblas_f77.h.

  #define F77_dgbmv( ...)
Value:
F77_dgbmv_base(__VA_ARGS__, 1)

Definition at line 338 of file cblas_f77.h.

  #define F77_dgbmv_base F77_GLOBAL_SUFFIX(dgbmv,DGBMV)

Definition at line 167 of file cblas_f77.h.

  #define F77_dgemm( ...)
Value:
F77_dgemm_base(__VA_ARGS__, 1, 1)

Definition at line 405 of file cblas_f77.h.

  #define F77_dgemm_base F77_GLOBAL_SUFFIX(dgemm,DGEMM)

Definition at line 206 of file cblas_f77.h.

  #define F77_dgemmtr( ...)
Value:
F77_dgemmtr_base(__VA_ARGS__, 1, 1, 1)

Definition at line 406 of file cblas_f77.h.

  #define F77_dgemmtr_base F77_GLOBAL_SUFFIX(dgemmtr,DGEMMTR)

Definition at line 207 of file cblas_f77.h.

  #define F77_dgemv( ...)
Value:
F77_dgemv_base(__VA_ARGS__, 1)

Definition at line 337 of file cblas_f77.h.

  #define F77_dgemv_base F77_GLOBAL_SUFFIX(dgemv,DGEMV)

Definition at line 166 of file cblas_f77.h.

  #define F77_dger( ...)
Value:
F77_dger_base(__VA_ARGS__)

Definition at line 305 of file cblas_f77.h.

  #define F77_dger_base F77_GLOBAL_SUFFIX(dger,DGER)

Definition at line 135 of file cblas_f77.h.

  #define F77_dnrm2_sub( ...)
Value:
F77_dnrm2_sub_base(__VA_ARGS__)

Definition at line 263 of file cblas_f77.h.

  #define F77_dnrm2_sub_base F77_GLOBAL_SUFFIX(dnrm2sub,DNRM2SUB)

Definition at line 107 of file cblas_f77.h.

  #define F77_drot( ...)
Value:
F77_drot_base(__VA_ARGS__)

Definition at line 252 of file cblas_f77.h.

  #define F77_drot_base F77_GLOBAL_SUFFIX(drot,DROT)

Definition at line 74 of file cblas_f77.h.

  #define F77_drotg( ...)
Value:
F77_drotg_base(__VA_ARGS__)

Definition at line 253 of file cblas_f77.h.

  #define F77_drotg_base F77_GLOBAL_SUFFIX(drotg,DROTG)

Definition at line 72 of file cblas_f77.h.

  #define F77_drotm( ...)
Value:
F77_drotm_base(__VA_ARGS__)

Definition at line 254 of file cblas_f77.h.

  #define F77_drotm_base F77_GLOBAL_SUFFIX(drotm,DROTM)

Definition at line 75 of file cblas_f77.h.

  #define F77_drotmg( ...)
Value:
F77_drotmg_base(__VA_ARGS__)

Definition at line 255 of file cblas_f77.h.

  #define F77_drotmg_base F77_GLOBAL_SUFFIX(drotmg,DROTMG)

Definition at line 73 of file cblas_f77.h.

  #define F77_dsbmv( ...)
Value:
F77_dsbmv_base(__VA_ARGS__, 1)

Definition at line 340 of file cblas_f77.h.

  #define F77_dsbmv_base F77_GLOBAL_SUFFIX(dsbmv,DSBMV)

Definition at line 133 of file cblas_f77.h.

  #define F77_dscal( ...)
Value:
F77_dscal_base(__VA_ARGS__)

Definition at line 262 of file cblas_f77.h.

  #define F77_dscal_base F77_GLOBAL_SUFFIX(dscal,DSCAL)

Definition at line 96 of file cblas_f77.h.

  #define F77_dsdot_sub( ...)
Value:
F77_dsdot_sub_base(__VA_ARGS__)

Definition at line 260 of file cblas_f77.h.

  #define F77_dsdot_sub_base F77_GLOBAL_SUFFIX(dsdotsub,DSDOTSUB)

Definition at line 94 of file cblas_f77.h.

  #define F77_dspmv( ...)
Value:
F77_dspmv_base(__VA_ARGS__, 1)

Definition at line 341 of file cblas_f77.h.

  #define F77_dspmv_base F77_GLOBAL_SUFFIX(dspmv,DSPMV)

Definition at line 134 of file cblas_f77.h.

  #define F77_dspr( ...)
Value:
F77_dspr_base(__VA_ARGS__, 1)

Definition at line 349 of file cblas_f77.h.

  #define F77_dspr2( ...)
Value:
F77_dspr2_base(__VA_ARGS__, 1)

Definition at line 350 of file cblas_f77.h.

  #define F77_dspr2_base F77_GLOBAL_SUFFIX(dspr2,DSPR2)

Definition at line 139 of file cblas_f77.h.

  #define F77_dspr_base F77_GLOBAL_SUFFIX(dspr,DSPR)

Definition at line 137 of file cblas_f77.h.

  #define F77_dswap( ...)
Value:
F77_dswap_base(__VA_ARGS__)

Definition at line 256 of file cblas_f77.h.

  #define F77_dswap( ...)
Value:
F77_dswap_base(__VA_ARGS__)

Definition at line 256 of file cblas_f77.h.

  #define F77_dswap_base F77_GLOBAL_SUFFIX(dswap,DSWAP)

Definition at line 80 of file cblas_f77.h.

  #define F77_dsymm( ...)
Value:
F77_dsymm_base(__VA_ARGS__, 1, 1)

Definition at line 407 of file cblas_f77.h.

  #define F77_dsymm_base F77_GLOBAL_SUFFIX(dsymm,DSYMM)

Definition at line 208 of file cblas_f77.h.

  #define F77_dsymv( ...)
Value:
F77_dsymv_base(__VA_ARGS__, 1)

Definition at line 339 of file cblas_f77.h.

  #define F77_dsymv_base F77_GLOBAL_SUFFIX(dsymv,DSYMV)

Definition at line 132 of file cblas_f77.h.

  #define F77_dsyr( ...)
Value:
F77_dsyr_base(__VA_ARGS__, 1)

Definition at line 348 of file cblas_f77.h.

  #define F77_dsyr2( ...)
Value:
F77_dsyr2_base(__VA_ARGS__, 1)

Definition at line 351 of file cblas_f77.h.

  #define F77_dsyr2_base F77_GLOBAL_SUFFIX(dsyr2,DSYR2)

Definition at line 138 of file cblas_f77.h.

  #define F77_dsyr2k( ...)
Value:
F77_dsyr2k_base(__VA_ARGS__, 1, 1)

Definition at line 409 of file cblas_f77.h.

  #define F77_dsyr2k_base F77_GLOBAL_SUFFIX(dsyr2k,DSYR2K)

Definition at line 210 of file cblas_f77.h.

  #define F77_dsyr_base F77_GLOBAL_SUFFIX(dsyr,DSYR)

Definition at line 136 of file cblas_f77.h.

  #define F77_dsyrk( ...)
Value:
F77_dsyrk_base(__VA_ARGS__, 1, 1)

Definition at line 408 of file cblas_f77.h.

  #define F77_dsyrk_base F77_GLOBAL_SUFFIX(dsyrk,DSYRK)

Definition at line 209 of file cblas_f77.h.

  #define F77_dtbmv( ...)
Value:
F77_dtbmv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 343 of file cblas_f77.h.

  #define F77_dtbmv_base F77_GLOBAL_SUFFIX(dtbmv,DTBMV)

Definition at line 169 of file cblas_f77.h.

  #define F77_dtbsv( ...)
Value:
F77_dtbsv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 345 of file cblas_f77.h.

  #define F77_dtbsv_base F77_GLOBAL_SUFFIX(dtbsv,DTBSV)

Definition at line 172 of file cblas_f77.h.

  #define F77_dtpmv( ...)
Value:
F77_dtpmv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 346 of file cblas_f77.h.

  #define F77_dtpmv_base F77_GLOBAL_SUFFIX(dtpmv,DTPMV)

Definition at line 170 of file cblas_f77.h.

  #define F77_dtpsv( ...)
Value:
F77_dtpsv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 347 of file cblas_f77.h.

  #define F77_dtpsv_base F77_GLOBAL_SUFFIX(dtpsv,DTPSV)

Definition at line 173 of file cblas_f77.h.

  #define F77_dtrmm( ...)
Value:
F77_dtrmm_base(__VA_ARGS__, 1, 1, 1, 1)

Definition at line 410 of file cblas_f77.h.

  #define F77_dtrmm_base F77_GLOBAL_SUFFIX(dtrmm,DTRMM)

Definition at line 211 of file cblas_f77.h.

  #define F77_dtrmv( ...)
Value:
F77_dtrmv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 342 of file cblas_f77.h.

  #define F77_dtrmv_base F77_GLOBAL_SUFFIX(dtrmv,DTRMV)

Definition at line 168 of file cblas_f77.h.

  #define F77_dtrsm( ...)
Value:
F77_dtrsm_base(__VA_ARGS__, 1, 1, 1, 1)

Definition at line 411 of file cblas_f77.h.

  #define F77_dtrsm_base F77_GLOBAL_SUFFIX(dtrsm,DTRSM)

Definition at line 212 of file cblas_f77.h.

  #define F77_dtrsv( ...)
Value:
F77_dtrsv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 344 of file cblas_f77.h.

  #define F77_dtrsv_base F77_GLOBAL_SUFFIX(dtrsv,DTRSV)

Definition at line 171 of file cblas_f77.h.

  #define F77_dzasum_sub( ...)
Value:
F77_dzasum_sub_base(__VA_ARGS__)

Definition at line 297 of file cblas_f77.h.

  #define F77_dzasum_sub_base F77_GLOBAL_SUFFIX(dzasumsub,DZASUMSUB)

Definition at line 112 of file cblas_f77.h.

  #define F77_dznrm2_sub( ...)
Value:
F77_dznrm2_sub_base(__VA_ARGS__)

Definition at line 296 of file cblas_f77.h.

  #define F77_dznrm2_sub_base F77_GLOBAL_SUFFIX(dznrm2sub,DZNRM2SUB)

Definition at line 111 of file cblas_f77.h.

  #define F77_GLOBAL_SUFFIX( a, b)
Value:
F77_GLOBAL_SUFFIX_(API_SUFFIX(a),API_SUFFIX(b))

Definition at line 60 of file cblas_f77.h.

  #define F77_GLOBAL_SUFFIX_( a, b)
Value:
F77_GLOBAL(a,b)

Definition at line 61 of file cblas_f77.h.

  #define F77_icamax_sub( ...)
Value:
F77_icamax_sub_base(__VA_ARGS__)

Definition at line 279 of file cblas_f77.h.

  #define F77_icamax_sub_base F77_GLOBAL_SUFFIX(icamaxsub,ICAMAXSUB)

Definition at line 87 of file cblas_f77.h.

  #define F77_idamax_sub( ...)
Value:
F77_idamax_sub_base(__VA_ARGS__)

Definition at line 265 of file cblas_f77.h.

  #define F77_idamax_sub_base F77_GLOBAL_SUFFIX(idamaxsub,IDAMAXSUB)

Definition at line 83 of file cblas_f77.h.

  #define F77_INT int32_t

Definition at line 36 of file cblas_f77.h.

  #define F77_isamax_sub( ...)
Value:
F77_isamax_sub_base(__VA_ARGS__)

Definition at line 247 of file cblas_f77.h.

  #define F77_isamax_sub_base F77_GLOBAL_SUFFIX(isamaxsub,ISAMAXSUB)

Definition at line 79 of file cblas_f77.h.

  #define F77_izamax_sub( ...)
Value:
F77_izamax_sub_base(__VA_ARGS__)

Definition at line 298 of file cblas_f77.h.

  #define F77_izamax_sub_base F77_GLOBAL_SUFFIX(izamaxsub,IZAMAXSUB)

Definition at line 91 of file cblas_f77.h.

  #define F77_sasum_sub( ...)
Value:
F77_sasum_sub_base(__VA_ARGS__)

Definition at line 246 of file cblas_f77.h.

  #define F77_sasum_sub_base F77_GLOBAL_SUFFIX(sasumsub,SASUMSUB)

Definition at line 106 of file cblas_f77.h.

  #define F77_saxpy( ...)
Value:
F77_saxpy_base(__VA_ARGS__)

Definition at line 241 of file cblas_f77.h.

  #define F77_saxpy_base F77_GLOBAL_SUFFIX(saxpy,SAXPY)

Definition at line 78 of file cblas_f77.h.

  #define F77_scabs1_sub( ...)
Value:
F77_scabs1_sub_base(__VA_ARGS__)

Definition at line 248 of file cblas_f77.h.

  #define F77_scabs1_sub_base F77_GLOBAL_SUFFIX(scabs1sub, SCABS1SUB)

Definition at line 118 of file cblas_f77.h.

  #define F77_scasum_sub( ...)
Value:
F77_scasum_sub_base(__VA_ARGS__)

Definition at line 282 of file cblas_f77.h.

  #define F77_scasum_sub_base F77_GLOBAL_SUFFIX(scasumsub,SCASUMSUB)

Definition at line 110 of file cblas_f77.h.

  #define F77_scnrm2_sub( ...)
Value:
F77_scnrm2_sub_base(__VA_ARGS__)

Definition at line 281 of file cblas_f77.h.

  #define F77_scnrm2_sub_base F77_GLOBAL_SUFFIX(scnrm2sub,SCNRM2SUB)

Definition at line 109 of file cblas_f77.h.

  #define F77_scopy( ...)
Value:
F77_scopy_base(__VA_ARGS__)

Definition at line 240 of file cblas_f77.h.

  #define F77_scopy_base F77_GLOBAL_SUFFIX(scopy,SCOPY)

Definition at line 77 of file cblas_f77.h.

  #define F77_sdot_sub( ...)
Value:
F77_sdot_sub_base(__VA_ARGS__)

Definition at line 242 of file cblas_f77.h.

  #define F77_sdot_sub_base F77_GLOBAL_SUFFIX(sdotsub,SDOTSUB)

Definition at line 92 of file cblas_f77.h.

  #define F77_sdsdot_sub( ...)
Value:
F77_sdsdot_sub_base(__VA_ARGS__)

Definition at line 243 of file cblas_f77.h.

  #define F77_sdsdot_sub_base F77_GLOBAL_SUFFIX(sdsdotsub,SDSDOTSUB)

Definition at line 113 of file cblas_f77.h.

  #define F77_sgbmv( ...)
Value:
F77_sgbmv_base(__VA_ARGS__, 1)

Definition at line 320 of file cblas_f77.h.

  #define F77_sgbmv_base F77_GLOBAL_SUFFIX(sgbmv,SGBMV)

Definition at line 159 of file cblas_f77.h.

  #define F77_sgemm( ...)
Value:
F77_sgemm_base(__VA_ARGS__, 1, 1)

Definition at line 395 of file cblas_f77.h.

  #define F77_sgemm_base F77_GLOBAL_SUFFIX(sgemm,SGEMM)

Definition at line 199 of file cblas_f77.h.

  #define F77_sgemmtr( ...)
Value:
F77_sgemmtr_base(__VA_ARGS__, 1, 1, 1)

Definition at line 396 of file cblas_f77.h.

  #define F77_sgemmtr_base F77_GLOBAL_SUFFIX(sgemmtr,SGEMMTR)

Definition at line 200 of file cblas_f77.h.

  #define F77_sgemv( ...)
Value:
F77_sgemv_base(__VA_ARGS__, 1)

Definition at line 319 of file cblas_f77.h.

  #define F77_sgemv_base F77_GLOBAL_SUFFIX(sgemv,SGEMV)

Definition at line 158 of file cblas_f77.h.

  #define F77_sger( ...)
Value:
F77_sger_base(__VA_ARGS__)

Definition at line 304 of file cblas_f77.h.

  #define F77_sger_base F77_GLOBAL_SUFFIX(sger,SGER)

Definition at line 127 of file cblas_f77.h.

  #define F77_snrm2_sub( ...)
Value:
F77_snrm2_sub_base(__VA_ARGS__)

Definition at line 245 of file cblas_f77.h.

  #define F77_snrm2_sub_base F77_GLOBAL_SUFFIX(snrm2sub,SNRM2SUB)

Definition at line 105 of file cblas_f77.h.

  #define F77_srot( ...)
Value:
F77_srot_base(__VA_ARGS__)

Definition at line 235 of file cblas_f77.h.

  #define F77_srot_base F77_GLOBAL_SUFFIX(srot,SROT)

Definition at line 70 of file cblas_f77.h.

  #define F77_srotg( ...)
Value:
F77_srotg_base(__VA_ARGS__)

Definition at line 236 of file cblas_f77.h.

  #define F77_srotg_base F77_GLOBAL_SUFFIX(srotg,SROTG)

Definition at line 68 of file cblas_f77.h.

  #define F77_srotm( ...)
Value:
F77_srotm_base(__VA_ARGS__)

Definition at line 237 of file cblas_f77.h.

  #define F77_srotm_base F77_GLOBAL_SUFFIX(srotm,SROTM)

Definition at line 71 of file cblas_f77.h.

  #define F77_srotmg( ...)
Value:
F77_srotmg_base(__VA_ARGS__)

Definition at line 238 of file cblas_f77.h.

  #define F77_srotmg_base F77_GLOBAL_SUFFIX(srotmg,SROTMG)

Definition at line 69 of file cblas_f77.h.

  #define F77_ssbmv( ...)
Value:
F77_ssbmv_base(__VA_ARGS__, 1)

Definition at line 322 of file cblas_f77.h.

  #define F77_ssbmv_base F77_GLOBAL_SUFFIX(ssbmv,SSBMV)

Definition at line 125 of file cblas_f77.h.

  #define F77_sscal( ...)
Value:
F77_sscal_base(__VA_ARGS__)

Definition at line 244 of file cblas_f77.h.

  #define F77_sscal_base F77_GLOBAL_SUFFIX(sscal,SSCAL)

Definition at line 95 of file cblas_f77.h.

  #define F77_sspmv( ...)
Value:
F77_sspmv_base(__VA_ARGS__, 1)

Definition at line 323 of file cblas_f77.h.

  #define F77_sspmv_base F77_GLOBAL_SUFFIX(sspmv,SSPMV)

Definition at line 126 of file cblas_f77.h.

  #define F77_sspr( ...)
Value:
F77_sspr_base(__VA_ARGS__, 1)

Definition at line 331 of file cblas_f77.h.

  #define F77_sspr2( ...)
Value:
F77_sspr2_base(__VA_ARGS__, 1)

Definition at line 332 of file cblas_f77.h.

  #define F77_sspr2_base F77_GLOBAL_SUFFIX(sspr2,SSPR2)

Definition at line 131 of file cblas_f77.h.

  #define F77_sspr_base F77_GLOBAL_SUFFIX(sspr,SSPR)

Definition at line 129 of file cblas_f77.h.

  #define F77_sswap( ...)
Value:
F77_sswap_base(__VA_ARGS__)

Definition at line 239 of file cblas_f77.h.

  #define F77_sswap_base F77_GLOBAL_SUFFIX(sswap,SSWAP)

Definition at line 76 of file cblas_f77.h.

  #define F77_ssymm( ...)
Value:
F77_ssymm_base(__VA_ARGS__, 1, 1)

Definition at line 397 of file cblas_f77.h.

  #define F77_ssymm_base F77_GLOBAL_SUFFIX(ssymm,SSYMM)

Definition at line 201 of file cblas_f77.h.

  #define F77_ssymv( ...)
Value:
F77_ssymv_base(__VA_ARGS__, 1)

Definition at line 321 of file cblas_f77.h.

  #define F77_ssymv_base F77_GLOBAL_SUFFIX(ssymv,SSYMV)

Definition at line 124 of file cblas_f77.h.

  #define F77_ssyr( ...)
Value:
F77_ssyr_base(__VA_ARGS__, 1)

Definition at line 330 of file cblas_f77.h.

  #define F77_ssyr2( ...)
Value:
F77_ssyr2_base(__VA_ARGS__, 1)

Definition at line 333 of file cblas_f77.h.

  #define F77_ssyr2_base F77_GLOBAL_SUFFIX(ssyr2,SSYR2)

Definition at line 130 of file cblas_f77.h.

  #define F77_ssyr2k( ...)
Value:
F77_ssyr2k_base(__VA_ARGS__, 1, 1)

Definition at line 399 of file cblas_f77.h.

  #define F77_ssyr2k_base F77_GLOBAL_SUFFIX(ssyr2k,SSYR2K)

Definition at line 203 of file cblas_f77.h.

  #define F77_ssyr_base F77_GLOBAL_SUFFIX(ssyr,SSYR)

Definition at line 128 of file cblas_f77.h.

  #define F77_ssyrk( ...)
Value:
F77_ssyrk_base(__VA_ARGS__, 1, 1)

Definition at line 398 of file cblas_f77.h.

  #define F77_ssyrk_base F77_GLOBAL_SUFFIX(ssyrk,SSYRK)

Definition at line 202 of file cblas_f77.h.

  #define F77_stbmv( ...)
Value:
F77_stbmv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 325 of file cblas_f77.h.

  #define F77_stbmv_base F77_GLOBAL_SUFFIX(stbmv,STBMV)

Definition at line 161 of file cblas_f77.h.

  #define F77_stbsv( ...)
Value:
F77_stbsv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 327 of file cblas_f77.h.

  #define F77_stbsv_base F77_GLOBAL_SUFFIX(stbsv,STBSV)

Definition at line 164 of file cblas_f77.h.

  #define F77_stpmv( ...)
Value:
F77_stpmv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 328 of file cblas_f77.h.

  #define F77_stpmv_base F77_GLOBAL_SUFFIX(stpmv,STPMV)

Definition at line 162 of file cblas_f77.h.

  #define F77_stpsv( ...)
Value:
F77_stpsv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 329 of file cblas_f77.h.

  #define F77_stpsv_base F77_GLOBAL_SUFFIX(stpsv,STPSV)

Definition at line 165 of file cblas_f77.h.

  #define F77_strmm( ...)
Value:
F77_strmm_base(__VA_ARGS__, 1, 1, 1, 1)

Definition at line 400 of file cblas_f77.h.

  #define F77_strmm_base F77_GLOBAL_SUFFIX(strmm,STRMM)

Definition at line 204 of file cblas_f77.h.

  #define F77_strmv( ...)
Value:
F77_strmv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 324 of file cblas_f77.h.

  #define F77_strmv_base F77_GLOBAL_SUFFIX(strmv,STRMV)

Definition at line 160 of file cblas_f77.h.

  #define F77_strsm( ...)
Value:
F77_strsm_base(__VA_ARGS__, 1, 1, 1, 1)

Definition at line 401 of file cblas_f77.h.

  #define F77_strsm_base F77_GLOBAL_SUFFIX(strsm,STRSM)

Definition at line 205 of file cblas_f77.h.

  #define F77_strsv( ...)
Value:
F77_strsv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 326 of file cblas_f77.h.

  #define F77_strsv_base F77_GLOBAL_SUFFIX(strsv,STRSV)

Definition at line 163 of file cblas_f77.h.

  #define F77_xerbla( ...)
Value:
F77_xerbla_base(__VA_ARGS__, 1)

Definition at line 578 of file cblas_f77.h.

  #define F77_xerbla_base F77_GLOBAL_SUFFIX(xerbla,XERBLA)

Definition at line 67 of file cblas_f77.h.

  #define F77_zaxpy( ...)
Value:
F77_zaxpy_base(__VA_ARGS__)

Definition at line 290 of file cblas_f77.h.

  #define F77_zaxpy_base F77_GLOBAL_SUFFIX(zaxpy,ZAXPY)

Definition at line 90 of file cblas_f77.h.

  #define F77_zcopy( ...)
Value:
F77_zcopy_base(__VA_ARGS__)

Definition at line 289 of file cblas_f77.h.

  #define F77_zcopy_base F77_GLOBAL_SUFFIX(zcopy,ZCOPY)

Definition at line 89 of file cblas_f77.h.

  #define F77_zdotc_sub( ...)
Value:
F77_zdotc_sub_base(__VA_ARGS__)

Definition at line 292 of file cblas_f77.h.

  #define F77_zdotc_sub_base F77_GLOBAL_SUFFIX(zdotcsub,ZDOTCSUB)

Definition at line 104 of file cblas_f77.h.

  #define F77_zdotu_sub( ...)
Value:
F77_zdotu_sub_base(__VA_ARGS__)

Definition at line 293 of file cblas_f77.h.

  #define F77_zdotu_sub_base F77_GLOBAL_SUFFIX(zdotusub,ZDOTUSUB)

Definition at line 103 of file cblas_f77.h.

  #define F77_zdrot( ...)
Value:
F77_zdrot_base(__VA_ARGS__)

Definition at line 287 of file cblas_f77.h.

  #define F77_zdrot_base F77_GLOBAL_SUFFIX(zdrot, ZDROT)

Definition at line 117 of file cblas_f77.h.

  #define F77_zdscal( ...)
Value:
F77_zdscal_base(__VA_ARGS__)

Definition at line 294 of file cblas_f77.h.

  #define F77_zdscal_base F77_GLOBAL_SUFFIX(zdscal,ZDSCAL)

Definition at line 100 of file cblas_f77.h.

  #define F77_zgbmv( ...)
Value:
F77_zgbmv_base(__VA_ARGS__, 1)

Definition at line 374 of file cblas_f77.h.

  #define F77_zgbmv_base F77_GLOBAL_SUFFIX(zgbmv,ZGBMV)

Definition at line 183 of file cblas_f77.h.

  #define F77_zgemm( ...)
Value:
F77_zgemm_base(__VA_ARGS__, 1, 1)

Definition at line 428 of file cblas_f77.h.

  #define F77_zgemm_base F77_GLOBAL_SUFFIX(zgemm,ZGEMM)

Definition at line 220 of file cblas_f77.h.

  #define F77_zgemmtr( ...)
Value:
F77_zgemmtr_base(__VA_ARGS__, 1, 1, 1)

Definition at line 429 of file cblas_f77.h.

  #define F77_zgemmtr_base F77_GLOBAL_SUFFIX(zgemmtr,ZGEMMTR)

Definition at line 221 of file cblas_f77.h.

  #define F77_zgemv( ...)
Value:
F77_zgemv_base(__VA_ARGS__, 1)

Definition at line 373 of file cblas_f77.h.

  #define F77_zgemv_base F77_GLOBAL_SUFFIX(zgemv,ZGEMV)

Definition at line 182 of file cblas_f77.h.

  #define F77_zgerc( ...)
Value:
F77_zgerc_base(__VA_ARGS__)

Definition at line 308 of file cblas_f77.h.

  #define F77_zgerc_base F77_GLOBAL_SUFFIX(zgerc,ZGERC)

Definition at line 153 of file cblas_f77.h.

  #define F77_zgeru( ...)
Value:
F77_zgeru_base(__VA_ARGS__)

Definition at line 309 of file cblas_f77.h.

  #define F77_zgeru_base F77_GLOBAL_SUFFIX(zgeru,ZGERU)

Definition at line 152 of file cblas_f77.h.

  #define F77_zhbmv( ...)
Value:
F77_zhbmv_base(__VA_ARGS__, 1)

Definition at line 376 of file cblas_f77.h.

  #define F77_zhbmv_base F77_GLOBAL_SUFFIX(zhbmv,ZHBMV)

Definition at line 150 of file cblas_f77.h.

  #define F77_zhemm( ...)
Value:
F77_zhemm_base(__VA_ARGS__, 1, 1)

Definition at line 431 of file cblas_f77.h.

  #define F77_zhemm_base F77_GLOBAL_SUFFIX(zhemm,ZHEMM)

Definition at line 196 of file cblas_f77.h.

  #define F77_zhemv( ...)
Value:
F77_zhemv_base(__VA_ARGS__, 1)

Definition at line 375 of file cblas_f77.h.

  #define F77_zhemv_base F77_GLOBAL_SUFFIX(zhemv,ZHEMV)

Definition at line 149 of file cblas_f77.h.

  #define F77_zher( ...)
Value:
F77_zher_base(__VA_ARGS__, 1)

Definition at line 384 of file cblas_f77.h.

  #define F77_zher2( ...)
Value:
F77_zher2_base(__VA_ARGS__, 1)

Definition at line 385 of file cblas_f77.h.

  #define F77_zher2_base F77_GLOBAL_SUFFIX(zher2,ZHER2)

Definition at line 156 of file cblas_f77.h.

  #define F77_zher2k( ...)
Value:
F77_zher2k_base(__VA_ARGS__, 1, 1)

Definition at line 435 of file cblas_f77.h.

  #define F77_zher2k_base F77_GLOBAL_SUFFIX(zher2k,ZHER2K)

Definition at line 198 of file cblas_f77.h.

  #define F77_zher_base F77_GLOBAL_SUFFIX(zher,ZHER)

Definition at line 154 of file cblas_f77.h.

  #define F77_zherk( ...)
Value:
F77_zherk_base(__VA_ARGS__, 1, 1)

Definition at line 433 of file cblas_f77.h.

  #define F77_zherk_base F77_GLOBAL_SUFFIX(zherk,ZHERK)

Definition at line 197 of file cblas_f77.h.

  #define F77_zhpmv( ...)
Value:
F77_zhpmv_base(__VA_ARGS__, 1)

Definition at line 377 of file cblas_f77.h.

  #define F77_zhpmv_base F77_GLOBAL_SUFFIX(zhpmv,ZHPMV)

Definition at line 151 of file cblas_f77.h.

  #define F77_zhpr( ...)
Value:
F77_zhpr_base(__VA_ARGS__, 1)

Definition at line 386 of file cblas_f77.h.

  #define F77_zhpr2( ...)
Value:
F77_zhpr2_base(__VA_ARGS__, 1)

Definition at line 387 of file cblas_f77.h.

  #define F77_zhpr2_base F77_GLOBAL_SUFFIX(zhpr2,ZHPR2)

Definition at line 157 of file cblas_f77.h.

  #define F77_zhpr_base F77_GLOBAL_SUFFIX(zhpr,ZHPR)

Definition at line 155 of file cblas_f77.h.

  #define F77_zrotg( ...)
Value:
F77_zrotg_base(__VA_ARGS__)

Definition at line 286 of file cblas_f77.h.

  #define F77_zrotg_base F77_GLOBAL_SUFFIX(zrotg, ZROTG)

Definition at line 116 of file cblas_f77.h.

  #define F77_zscal( ...)
Value:
F77_zscal_base(__VA_ARGS__)

Definition at line 295 of file cblas_f77.h.

  #define F77_zscal_base F77_GLOBAL_SUFFIX(zscal,ZSCAL)

Definition at line 98 of file cblas_f77.h.

  #define F77_zswap( ...)
Value:
F77_zswap_base(__VA_ARGS__)

Definition at line 288 of file cblas_f77.h.

  #define F77_zswap( ...)
Value:
F77_zswap_base(__VA_ARGS__)

Definition at line 288 of file cblas_f77.h.

  #define F77_zswap_base F77_GLOBAL_SUFFIX(zswap,ZSWAP)

Definition at line 88 of file cblas_f77.h.

  #define F77_zsymm( ...)
Value:
F77_zsymm_base(__VA_ARGS__, 1, 1)

Definition at line 430 of file cblas_f77.h.

  #define F77_zsymm_base F77_GLOBAL_SUFFIX(zsymm,ZSYMM)

Definition at line 222 of file cblas_f77.h.

  #define F77_zsyr2k( ...)
Value:
F77_zsyr2k_base(__VA_ARGS__, 1, 1)

Definition at line 434 of file cblas_f77.h.

  #define F77_zsyr2k_base F77_GLOBAL_SUFFIX(zsyr2k,ZSYR2K)

Definition at line 224 of file cblas_f77.h.

  #define F77_zsyrk( ...)
Value:
F77_zsyrk_base(__VA_ARGS__, 1, 1)

Definition at line 432 of file cblas_f77.h.

  #define F77_zsyrk_base F77_GLOBAL_SUFFIX(zsyrk,ZSYRK)

Definition at line 223 of file cblas_f77.h.

  #define F77_ztbmv( ...)
Value:
F77_ztbmv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 379 of file cblas_f77.h.

  #define F77_ztbmv_base F77_GLOBAL_SUFFIX(ztbmv,ZTBMV)

Definition at line 185 of file cblas_f77.h.

  #define F77_ztbsv( ...)
Value:
F77_ztbsv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 382 of file cblas_f77.h.

  #define F77_ztbsv_base F77_GLOBAL_SUFFIX(ztbsv,ZTBSV)

Definition at line 188 of file cblas_f77.h.

  #define F77_ztpmv( ...)
Value:
F77_ztpmv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 380 of file cblas_f77.h.

  #define F77_ztpmv_base F77_GLOBAL_SUFFIX(ztpmv,ZTPMV)

Definition at line 186 of file cblas_f77.h.

  #define F77_ztpsv( ...)
Value:
F77_ztpsv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 383 of file cblas_f77.h.

  #define F77_ztpsv_base F77_GLOBAL_SUFFIX(ztpsv,ZTPSV)

Definition at line 189 of file cblas_f77.h.

  #define F77_ztrmm( ...)
Value:
F77_ztrmm_base(__VA_ARGS__, 1, 1, 1, 1)

Definition at line 436 of file cblas_f77.h.

  #define F77_ztrmm_base F77_GLOBAL_SUFFIX(ztrmm,ZTRMM)

Definition at line 225 of file cblas_f77.h.

  #define F77_ztrmv( ...)
Value:
F77_ztrmv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 378 of file cblas_f77.h.

  #define F77_ztrmv_base F77_GLOBAL_SUFFIX(ztrmv,ZTRMV)

Definition at line 184 of file cblas_f77.h.

  #define F77_ztrsm( ...)
Value:
F77_ztrsm_base(__VA_ARGS__, 1, 1, 1, 1)

Definition at line 437 of file cblas_f77.h.

  #define F77_ztrsm_base F77_GLOBAL_SUFFIX(ztrsm,ZTRSM)

Definition at line 226 of file cblas_f77.h.

  #define F77_ztrsv( ...)
Value:
F77_ztrsv_base(__VA_ARGS__, 1, 1, 1)

Definition at line 381 of file cblas_f77.h.

  #define F77_ztrsv_base F77_GLOBAL_SUFFIX(ztrsv,ZTRSV)

Definition at line 187 of file cblas_f77.h.

  #define FCHAR char *

Definition at line 43 of file cblas_f77.h.

  #define FINT const F77_INT *

Definition at line 46 of file cblas_f77.h.

  #define FINT2 F77_INT *

Definition at line 47 of file cblas_f77.h.

  #define FORTRAN_STRLEN size_t

Definition at line 21 of file cblas_f77.h.

Function Documentation

  void F77_caxpy_base (FINT , const void * , const void * , FINT , void * , FINT )

  void F77_ccopy_base (FINT , const void * , FINT , void * , FINT )

  void F77_cdotc_sub_base (FINT , const void * , FINT , const void * , FINT , void * )

  void F77_cdotu_sub_base (FINT , const void * , FINT , const void * , FINT , void * )

  void F77_cgbmv_base (FCHAR , FINT , FINT , FINT , FINT , const void * , const void * , FINT , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN )

  void F77_cgemm_base (FCHAR , FCHAR , FINT , FINT , FINT , const void * , const void * , FINT , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_cgemmtr_base (FCHAR , FCHAR , FCHAR , FINT , FINT , const void * , const void * , FINT , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_cgemv_base (FCHAR , FINT , FINT , const void * , const void * , FINT , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN )

  void F77_cgerc_base (FINT , FINT , const void * , const void * , FINT , const void * , FINT , void * , FINT )

  void F77_cgeru_base (FINT , FINT , const void * , const void * , FINT , const void * , FINT , void * , FINT )

  void F77_chbmv_base (FCHAR , FINT , FINT , const void * , const void * , FINT , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN )

  void F77_chemm_base (FCHAR , FCHAR , FINT , FINT , const void * , const void * , FINT , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_chemv_base (FCHAR , FINT , const void * , const void * , FINT , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN )

  void F77_cher2_base (FCHAR , FINT , const void * , const void * , FINT , const void * , FINT , void * , FINT , FORTRAN_STRLEN )

  void F77_cher2k_base (FCHAR , FCHAR , FINT , FINT , const void * , const void * , FINT , const void * , FINT , const float * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_cher_base (FCHAR , FINT , const float * , const void * , FINT , void * , FINT , FORTRAN_STRLEN )

  void F77_cherk_base (FCHAR , FCHAR , FINT , FINT , const float * , const void * , FINT , const float * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_chpmv_base (FCHAR , FINT , const void * , const void * , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN )

  void F77_chpr2_base (FCHAR , FINT , const void * , const void * , FINT , const void * , FINT , void * , FORTRAN_STRLEN )

  void F77_chpr_base (FCHAR , FINT , const float * , const void * , FINT , void * , FORTRAN_STRLEN )

  void F77_crotg_base (void * , void * , float * , void * )

  void F77_cscal_base (FINT , const void * , void * , FINT )

  void F77_csrot_base (FINT , void * X, FINT , void * , FINT , const float * , const float * )

  void F77_csscal_base (FINT , const float * , void * , FINT )

  void F77_cswap_base (FINT , void * , FINT , void * , FINT )

  void F77_csymm_base (FCHAR , FCHAR , FINT , FINT , const void * , const void * , FINT , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_csyr2k_base (FCHAR , FCHAR , FINT , FINT , const void * , const void * , FINT , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_csyrk_base (FCHAR , FCHAR , FINT , FINT , const void * , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_ctbmv_base (FCHAR , FCHAR , FCHAR , FINT , FINT , const void * , FINT , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_ctbsv_base (FCHAR , FCHAR , FCHAR , FINT , FINT , const void * , FINT , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_ctpmv_base (FCHAR , FCHAR , FCHAR , FINT , const void * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_ctpsv_base (FCHAR , FCHAR , FCHAR , FINT , const void * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_ctrmm_base (FCHAR , FCHAR , FCHAR , FCHAR , FINT , FINT , const void * , const void * , FINT , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_ctrmv_base (FCHAR , FCHAR , FCHAR , FINT , const void * , FINT , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_ctrsm_base (FCHAR , FCHAR , FCHAR , FCHAR , FINT , FINT , const void * , const void * , FINT , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_ctrsv_base (FCHAR , FCHAR , FCHAR , FINT , const void * , FINT , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_dasum_sub_base (FINT , const double * , FINT , double * )

  void F77_daxpy_base (FINT , const double * , const double * , FINT , double * , FINT )

  void F77_dcabs1_sub_base (const void * , double * )

  void F77_dcopy_base (FINT , const double * , FINT , double * , FINT )

  void F77_ddot_sub_base (FINT , const double * , FINT , const double * , FINT , double * )

  void F77_dgbmv_base (FCHAR , FINT , FINT , FINT , FINT , const double * , const double * , FINT , const double * , FINT , const double * , double * , FINT , FORTRAN_STRLEN )

  void F77_dgemm_base (FCHAR , FCHAR , FINT , FINT , FINT , const double * , const double * , FINT , const double * , FINT , const double * , double * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_dgemmtr_base (FCHAR , FCHAR , FCHAR , FINT , FINT , const double * , const double * , FINT , const double * , FINT , const double * , double * , FINT , size_t , size_t , size_t )

  void F77_dgemv_base (FCHAR , FINT , FINT , const double * , const double * , FINT , const double * , FINT , const double * , double * , FINT , FORTRAN_STRLEN )

  void F77_dger_base (FINT , FINT , const double * , const double * , FINT , const double * , FINT , double * , FINT )

  void F77_dnrm2_sub_base (FINT , const double * , FINT , double * )

  void F77_drot_base (FINT , double * , FINT , double * , FINT , const double * , const double * )

  void F77_drotg_base (double * , double * , double * , double * )

  void F77_drotm_base (FINT , double * , FINT , double * , FINT , const double * )

  void F77_drotmg_base (double * , double * , double * , const double * , double * )

  void F77_dsbmv_base (FCHAR , FINT , FINT , const double * , const double * , FINT , const double * , FINT , const double * , double * , FINT , FORTRAN_STRLEN )

  void F77_dscal_base (FINT , const double * , double * , FINT )

  void F77_dsdot_sub_base (FINT , const float * , FINT , const float * , FINT , double * )

  void F77_dspmv_base (FCHAR , FINT , const double * , const double * , const double * , FINT , const double * , double * , FINT , FORTRAN_STRLEN )

  void F77_dspr2_base (FCHAR , FINT , const double * , const double * , FINT , const double * , FINT , double * , FORTRAN_STRLEN )

  void F77_dspr_base (FCHAR , FINT , const double * , const double * , FINT , double * , FORTRAN_STRLEN )

  void F77_dswap_base (FINT , double * , FINT , double * , FINT )

  void F77_dsymm_base (FCHAR , FCHAR , FINT , FINT , const double * , const double * , FINT , const double * , FINT , const double * , double * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_dsymv_base (FCHAR , FINT , const double * , const double * , FINT , const double * , FINT , const double * , double * , FINT , FORTRAN_STRLEN )

  void F77_dsyr2_base (FCHAR , FINT , const double * , const double * , FINT , const double * , FINT , double * , FINT , FORTRAN_STRLEN )

  void F77_dsyr2k_base (FCHAR , FCHAR , FINT , FINT , const double * , const double * , FINT , const double * , FINT , const double * , double * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_dsyr_base (FCHAR , FINT , const double * , const double * , FINT , double * , FINT , FORTRAN_STRLEN )

  void F77_dsyrk_base (FCHAR , FCHAR , FINT , FINT , const double * , const double * , FINT , const double * , double * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_dtbmv_base (FCHAR , FCHAR , FCHAR , FINT , FINT , const double * , FINT , double * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_dtbsv_base (FCHAR , FCHAR , FCHAR , FINT , FINT , const double * , FINT , double * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_dtpmv_base (FCHAR , FCHAR , FCHAR , FINT , const double * , double * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_dtpsv_base (FCHAR , FCHAR , FCHAR , FINT , const double * , double * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_dtrmm_base (FCHAR , FCHAR , FCHAR , FCHAR , FINT , FINT , const double * , const double * , FINT , double * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_dtrmv_base (FCHAR , FCHAR , FCHAR , FINT , const double * , FINT , double * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_dtrsm_base (FCHAR , FCHAR , FCHAR , FCHAR , FINT , FINT , const double * , const double * , FINT , double * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_dtrsv_base (FCHAR , FCHAR , FCHAR , FINT , const double * , FINT , double * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_dzasum_sub_base (FINT , const void * , FINT , double * )

  void F77_dznrm2_sub_base (FINT , const void * , FINT , double * )

  void F77_icamax_sub_base (FINT , const void * , FINT , FINT2 )

  void F77_idamax_sub_base (FINT , const double * , FINT , FINT2 )

  void F77_isamax_sub_base (FINT , const float * , FINT , FINT2 )

  void F77_izamax_sub_base (FINT , const void * , FINT , FINT2 )

  void F77_sasum_sub_base (FINT , const float * , FINT , float * )

  void F77_saxpy_base (FINT , const float * , const float * , FINT , float * , FINT )

  void F77_scabs1_sub_base (const void * , float * )

  void F77_scasum_sub_base (FINT , const void * , FINT , float * )

  void F77_scnrm2_sub_base (FINT , const void * , FINT , float * )

  void F77_scopy_base (FINT , const float * , FINT , float * , FINT )

  void F77_sdot_sub_base (FINT , const float * , FINT , const float * , FINT , float * )

  void F77_sdsdot_sub_base (FINT , const float * , const float * , FINT , const float * , FINT , float * )

  void F77_sgbmv_base (FCHAR , FINT , FINT , FINT , FINT , const float * , const float * , FINT , const float * , FINT , const float * , float * , FINT , FORTRAN_STRLEN )

  void F77_sgemm_base (FCHAR , FCHAR , FINT , FINT , FINT , const float * , const float * , FINT , const float * , FINT , const float * , float * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_sgemmtr_base (FCHAR , FCHAR , FCHAR , FINT , FINT , const float * , const float * , FINT , const float * , FINT , const float * , float * , FINT , size_t , size_t , size_t )

  void F77_sgemv_base (FCHAR , FINT , FINT , const float * , const float * , FINT , const float * , FINT , const float * , float * , FINT , FORTRAN_STRLEN )

  void F77_sger_base (FINT , FINT , const float * , const float * , FINT , const float * , FINT , float * , FINT )

  void F77_snrm2_sub_base (FINT , const float * , FINT , float * )

  void F77_srot_base (FINT , float * , FINT , float * , FINT , const float * , const float * )

  void F77_srotg_base (float * , float * , float * , float * )

  void F77_srotm_base (FINT , float * , FINT , float * , FINT , const float * )

  void F77_srotmg_base (float * , float * , float * , const float * , float * )

  void F77_ssbmv_base (FCHAR , FINT , FINT , const float * , const float * , FINT , const float * , FINT , const float * , float * , FINT , FORTRAN_STRLEN )

  void F77_sscal_base (FINT , const float * , float * , FINT )

  void F77_sspmv_base (FCHAR , FINT , const float * , const float * , const float * , FINT , const float * , float * , FINT , FORTRAN_STRLEN )

  void F77_sspr2_base (FCHAR , FINT , const float * , const float * , FINT , const float * , FINT , float * , FORTRAN_STRLEN )

  void F77_sspr_base (FCHAR , FINT , const float * , const float * , FINT , float * , FORTRAN_STRLEN )

  void F77_sswap_base (FINT , float * , FINT , float * , FINT )

  void F77_ssymm_base (FCHAR , FCHAR , FINT , FINT , const float * , const float * , FINT , const float * , FINT , const float * , float * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_ssymv_base (FCHAR , FINT , const float * , const float * , FINT , const float * , FINT , const float * , float * , FINT , FORTRAN_STRLEN )

  void F77_ssyr2_base (FCHAR , FINT , const float * , const float * , FINT , const float * , FINT , float * , FINT , FORTRAN_STRLEN )

  void F77_ssyr2k_base (FCHAR , FCHAR , FINT , FINT , const float * , const float * , FINT , const float * , FINT , const float * , float * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_ssyr_base (FCHAR , FINT , const float * , const float * , FINT , float * , FINT , FORTRAN_STRLEN )

  void F77_ssyrk_base (FCHAR , FCHAR , FINT , FINT , const float * , const float * , FINT , const float * , float * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_stbmv_base (FCHAR , FCHAR , FCHAR , FINT , FINT , const float * , FINT , float * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_stbsv_base (FCHAR , FCHAR , FCHAR , FINT , FINT , const float * , FINT , float * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_stpmv_base (FCHAR , FCHAR , FCHAR , FINT , const float * , float * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_stpsv_base (FCHAR , FCHAR , FCHAR , FINT , const float * , float * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_strmm_base (FCHAR , FCHAR , FCHAR , FCHAR , FINT , FINT , const float * , const float * , FINT , float * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_strmv_base (FCHAR , FCHAR , FCHAR , FINT , const float * , FINT , float * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_strsm_base (FCHAR , FCHAR , FCHAR , FCHAR , FINT , FINT , const float * , const float * , FINT , float * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_strsv_base (FCHAR , FCHAR , FCHAR , FINT , const float * , FINT , float * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_xerbla_base (FCHAR , void * , FORTRAN_STRLEN )

  void F77_zaxpy_base (FINT , const void * , const void * , FINT , void * , FINT )

  void F77_zcopy_base (FINT , const void * , FINT , void * , FINT )

  void F77_zdotc_sub_base (FINT , const void * , FINT , const void * , FINT , void * )

  void F77_zdotu_sub_base (FINT , const void * , FINT , const void * , FINT , void * )

  void F77_zdrot_base (FINT , void * X, FINT , void * , FINT , const double * , const double * )

  void F77_zdscal_base (FINT , const double * , void * , FINT )

  void F77_zgbmv_base (FCHAR , FINT , FINT , FINT , FINT , const void * , const void * , FINT , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN )

  void F77_zgemm_base (FCHAR , FCHAR , FINT , FINT , FINT , const void * , const void * , FINT , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_zgemmtr_base (FCHAR , FCHAR , FCHAR , FINT , FINT , const void * , const void * , FINT , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_zgemv_base (FCHAR , FINT , FINT , const void * , const void * , FINT , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN )

  void F77_zgerc_base (FINT , FINT , const void * , const void * , FINT , const void * , FINT , void * , FINT )

  void F77_zgeru_base (FINT , FINT , const void * , const void * , FINT , const void * , FINT , void * , FINT )

  void F77_zhbmv_base (FCHAR , FINT , FINT , const void * , const void * , FINT , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN )

  void F77_zhemm_base (FCHAR , FCHAR , FINT , FINT , const void * , const void * , FINT , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_zhemv_base (FCHAR , FINT , const void * , const void * , FINT , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN )

  void F77_zher2_base (FCHAR , FINT , const void * , const void * , FINT , const void * , FINT , void * , FINT , FORTRAN_STRLEN )

  void F77_zher2k_base (FCHAR , FCHAR , FINT , FINT , const void * , const void * , FINT , const void * , FINT , const double * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_zher_base (FCHAR , FINT , const double * , const void * , FINT , void * , FINT , FORTRAN_STRLEN )

  void F77_zherk_base (FCHAR , FCHAR , FINT , FINT , const double * , const void * , FINT , const double * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_zhpmv_base (FCHAR , FINT , const void * , const void * , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN )

  void F77_zhpr2_base (FCHAR , FINT , const void * , const void * , FINT , const void * , FINT , void * , FORTRAN_STRLEN )

  void F77_zhpr_base (FCHAR , FINT , const double * , const void * , FINT , void * , FORTRAN_STRLEN )

  void F77_zrotg_base (void * , void * , double * , void * )

  void F77_zscal_base (FINT , const void * , void * , FINT )

  void F77_zswap_base (FINT , void * , FINT , void * , FINT )

  void F77_zsymm_base (FCHAR , FCHAR , FINT , FINT , const void * , const void * , FINT , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_zsyr2k_base (FCHAR , FCHAR , FINT , FINT , const void * , const void * , FINT , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_zsyrk_base (FCHAR , FCHAR , FINT , FINT , const void * , const void * , FINT , const void * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_ztbmv_base (FCHAR , FCHAR , FCHAR , FINT , FINT , const void * , FINT , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_ztbsv_base (FCHAR , FCHAR , FCHAR , FINT , FINT , const void * , FINT , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_ztpmv_base (FCHAR , FCHAR , FCHAR , FINT , const void * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_ztpsv_base (FCHAR , FCHAR , FCHAR , FINT , const void * , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_ztrmm_base (FCHAR , FCHAR , FCHAR , FCHAR , FINT , FINT , const void * , const void * , FINT , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_ztrmv_base (FCHAR , FCHAR , FCHAR , FINT , const void * , FINT , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_ztrsm_base (FCHAR , FCHAR , FCHAR , FCHAR , FINT , FINT , const void * , const void * , FINT , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

  void F77_ztrsv_base (FCHAR , FCHAR , FCHAR , FINT , const void * , FINT , void * , FINT , FORTRAN_STRLEN , FORTRAN_STRLEN , FORTRAN_STRLEN )

Author

Generated automatically by Doxygen for LAPACK from the source code.